WooCommerce服务器推荐

创建WooCommerce在线商店的第一步是安装WordPress和WooCommerce插件。但是在这之前,你应该检查你的服务器环境。作为指导,官方推荐:

  • PHP版本7.2或更高
  • MySQL版本5.6或更高;或者MariaDB版本10.0或更高
  • WordPress memory内存限制128MB或更高
  • HTTPS支持

你也应该检查 WordPress要求

PHP <7.2+和MySQL <5.6不再获得有效支持,许多版本已经停产,因此不再维护。因此,使用过时且不受支持的MySQL和PHP版本可能会使您的站点面临安全漏洞。

可选的项目

一些其他可选的东西可能需要包含:

  • CURL或fsockopen支持,被WooCommerce和一些集成扩展使用,例如PayPal IPN
  • 官方的一些扩展需要SOAP支持
  • 如果你正在运营一个非英语商店,需要支持Multibyte String

如果你想要修改WordPress permalinks固定链接,这里有一些列出来的附加要求

安装WooCommerce时,你可以从系统状态页面检查你的服务器是否有上面列举的项目

迁移主机

需要一个新主机?看看WooCommerce官网合作伙伴或者WordPress推荐主机

发表评论

电子邮件地址不会被公开。必填项已用 * 标注